Intermittent failure in browser_bug356571.js | Correctly opened all expected tabs

RESOLVED FIXED in Firefox 3.7a3

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
Firefox 3.7a3
x86
Windows Server 2003
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed by bug 545583] )

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265851286.1265853137.18165.gz#err1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/02/10 17:21:26
s: win32-slave23

Running chrome://mochikit/content/browser/browser/base/content/test/browser_bug356571.js...
Chrome file doesn't exist: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-mochitest-other\build\mochitest\browser\browser\base\content\test\head.js
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x804B0012: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/netwerk/base/src/nsIOService.cpp, line 583
pldhash: for the table at address 057CD608, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 057CD5A0 == 19
++DOMWINDOW == 36 (07093350) [serial = 103] [outer = 00000000]
++DOMWINDOW == 37 (0710AFB8) [serial = 104] [outer = 07093320]
pldhash: for the table at address 06FF4970, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 06FF4908 == 20
++DOMWINDOW == 38 (053F8160) [serial = 105] [outer = 00000000]
++DOMWINDOW == 39 (06DA8FD8) [serial = 106] [outer = 053F8130]
++DOMWINDOW == 40 (05E20868) [serial = 107] [outer = 07093320]
++DOMWINDOW == 41 (059C1C78) [serial = 108] [outer = 053F8130]
TEST-PASS | chrome://mochikit/content/browser/browser/base/content/test/browser_bug356571.js | Correctly failed on unknown protocol
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug356571.js | Correctly opened all expected tabs
JavaScript strict warning: chrome://browser/content/tabbrowser.xml, line 495: reference to undefined property this.mTabBrowser
JavaScript error: chrome://browser/content/tabbrowser.xml, line 495: this.mTabBrowser is undefined
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2800
TEST-INFO | checking window state

I sort of suspect this might be fallout from bug 545583, rather than a failure in its own right - this was both the first time this 13 month old test failed this way, and also in the same run the first time that 2 day old test failed.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265869326.1265871003.22184.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/02/10 22:22:06
s: moz2-darwin9-slave02

Again following a bug 545583 timeout.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266693810.1266694656.11665.gz
OS X 10.5.2 mozilla-central opt test mochitest-other on 2010/02/20 11:23:30
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267034108.1267035248.20511.gz
Linux mozilla-central opt test mochitest-other on 2010/02/24 09:55:08
s: moz2-linux-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267085472.1267088282.29685.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/02/25 00:11:12

Followed a timeout from bug 545583.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267584297.1267586498.18382.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/02 18:44:57
s: win32-slave30

Still with a bug 545583 timeout.
should be fixed by bug 545583
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 3.7a3
Flags: in-testsuite-
Whiteboard: [orange] → [fixed by bug 545583] [orange]
Flags: in-testsuite-
Whiteboard: [fixed by bug 545583] [orange] → [fixed by bug 545583]
You need to log in before you can comment on or make changes to this bug.